org.apache.http.client.utils

## Class CloneUtils

- java.lang.Object
- - org.apache.http.client.utils.CloneUtils

-     public class CloneUtils
      extends Object

  A collection of utilities to workaround limitations of Java clone framework.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `clone(Object obj)`
    `static <T> T` | `cloneObject(T obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### cloneObject

          public static <T> T cloneObject(T obj)
                               throws CloneNotSupportedException

      Throws:
        `CloneNotSupportedException`
      Since:
        4.3

    - #### clone

          public static Object clone(Object obj)
                              throws CloneNotSupportedException

      Throws:
        `CloneNotSupportedException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.